curl --request PATCH \
--url https://app.launchdarkly.com/api/v2/integration-capabilities/big-segment-store/{projectKey}/{environmentKey}/{integrationKey}/{integrationId} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
[
{
"op": "replace",
"path": "/exampleField",
"value": "new example value"
}
]
'import requests
url = "https://app.launchdarkly.com/api/v2/integration-capabilities/big-segment-store/{projectKey}/{environmentKey}/{integrationKey}/{integrationId}"
payload = [
{
"op": "replace",
"path": "/exampleField",
"value": "new example value"
}
]
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify([{op: 'replace', path: '/exampleField', value: 'new example value'}])
};
fetch('https://app.launchdarkly.com/api/v2/integration-capabilities/big-segment-store/{projectKey}/{environmentKey}/{integrationKey}/{integrationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_links": {
"self": {
"href": "<string>",
"type": "<string>"
},
"parent": {
"href": "<string>",
"type": "<string>"
},
"project": {
"href": "<string>",
"type": "<string>"
},
"environment": {
"href": "<string>",
"type": "<string>"
}
},
"_id": "12ab3c4d5ef1a2345bcde67f",
"integrationKey": "redis",
"projectKey": "default",
"environmentKey": "development",
"config": {},
"on": true,
"tags": [],
"name": "Development environment configuration",
"version": 1,
"_status": {
"available": true,
"potentiallyStale": false,
"lastSync": "1717263000000",
"lastError": "1714584600000",
"errors": [
{
"statusCode": 123,
"message": "<string>",
"timestamp": 123
}
]
},
"_access": {
"denied": [
{
"action": "<string>",
"reason": {
"effect": "allow",
"resources": [
"proj/*:env/*;qa_*:/flag/*"
],
"notResources": [
"<string>"
],
"actions": [
"*"
],
"notActions": [
"<string>"
],
"role_name": "<string>"
}
}
],
"allowed": [
{
"action": "<string>",
"reason": {
"effect": "allow",
"resources": [
"proj/*:env/*;qa_*:/flag/*"
],
"notResources": [
"<string>"
],
"actions": [
"*"
],
"notActions": [
"<string>"
],
"role_name": "<string>"
}
}
]
}
}{
"code": "invalid_request",
"message": "Invalid request body"
}{
"code": "unauthorized",
"message": "Invalid access token"
}{
"code": "forbidden",
"message": "Forbidden. Access to the requested resource was denied."
}{
"code": "not_found",
"message": "Invalid resource identifier"
}{
"code": "optimistic_locking_error",
"message": "Conflict. Optimistic lock error. Try again later."
}{
"code": "rate_limited",
"message": "You've exceeded the API rate limit. Try again later."
}Update big segment store integration
Update a big segment store integration. Updating a big segment store requires a JSON Patch representation of the desired changes. To learn more, read Updates.
Authorizations
Path Parameters
The project key
The environment key
The integration key, either redis or dynamodb
The integration ID
Body
Response
Big segment store response
The location and content type of related resources
Show child attributes
Show child attributes
The integration ID
"12ab3c4d5ef1a2345bcde67f"
The integration key
redis, dynamodb "redis"
The project key
"default"
The environment key
"development"
The delivery configuration for the given integration provider. Only included when requesting a single integration by ID. Refer to the formVariables field in the corresponding manifest.json for a full list of fields for each integration.
Show child attributes
Show child attributes
Whether the configuration is turned on
true
List of tags for this configuration
[]
Name of the configuration
"Development environment configuration"
Version of the current configuration
1
Details on the connection status of the persistent store integration
Show child attributes
Show child attributes
Details on the allowed and denied actions for this configuration
Show child attributes
Show child attributes